{
  "$schema": "http://www.lavishsoft.com/schema/lgui2Skin.json",
  "type": "skin",
  "name": "mr.dark",
  "brushes": {
    "background": {
      "color": [0.15, 0.15, 0.15]
    },
    "controlBackground": {
      "color": [0.3, 0.3, 0.3]
    },
    "selectedBackgroundBrush": {
      "color": [0.5, 0.5, 0.5]
    },
    "titleBarBackground": {
      "color": [0.1, 0.1, 0.1]
    },
    "text": {
      "color": [0.9, 0.9, 0.9]
    },
    "border": {
      "color": [0.5, 0.5, 0.5]
    },
    "titleBarCloseTexture": {
      "color": [1.0, 1.0, 1.0],
      "opacity": 0.7,
      "imageFile": "${LavishScript.HomeDirectory}/Scripts/mr/ui/icons/close_button_3.png"
    },
    "titleBarMinimizeTexture": {
      "color": [1.0, 1.0, 1.0],
      "opacity": 0.7,
      "imageFile": "${LavishScript.HomeDirectory}/Scripts/mr/ui/icons/minimize_button_3.png"
    }
  },
  "templates": {
    "window": {
      "backgroundBrush": "background",
      "titleBar": {
        "jsonTemplate": "window.titleBar"
      }
    },
    "window.titleBar": {
      "backgroundBrush": "titleBarBackground",
      "font": {
        "face": "Tahoma",
        "height": 16,
        "bold": true
      },
      "children": [
        {
          "type": "button",
          "jsonTemplate": "button",
          "_dock": "right",
          "borderThickness": 0,
          "borderColor": [0],
          "content": {
            "type": "imagebox",
            "margin": [0],
            "width": 20,
            "imageBrush": "titleBarCloseTexture"
          },
          "padding": 0,

          "eventHandlers": {
            "onMouse1Release": {
              "type": "forward",
              "elementType": "window",
              "event": "onCloseButtonClick"
            }
          }
        },
        {
          "type": "button",
          "jsonTemplate": "button",
          "_dock": "right",
          "borderThickness": 0,
          "borderColor": [0],
          "content": {
            "type": "imagebox",
            "margin": [0],
            "width": 20,
            "imageBrush": "titleBarMinimizeTexture"
          },
          "padding": 0,

          "eventHandlers": {
            "onMouse1Release": {
              "type": "forward",
              "elementType": "window",
              "event": "onShadeButtonClick"
            }
          }
        }
      ]
    },
    "textblock": {
      "color": "text",
      "font": {
        "face": "Tahoma",
        "height": 14,
        "bold": false
      }
    },
    "button": {
      "type": "button",
      "backgroundBrush": "controlBackground",
      "borderRounding": 0.3,
      "color": "text",
      "opacity": 0.8,
      "styles": {
        "gotMouseOver": {
          "opacity": 1.0
        },
        "lostMouseOver": {
          "opacity": 0.8
        },
        "onPress": {
          "opacity": 0.8
        },
        "onRelease": {
          "opacity": 1.0
        }
      }
    },
    "itemview": {
      "type": "itemview",
      "acceptsKeyboardFocus": false,
      "contentContainer": {
        "type": "border",
        "horizontalContentAlignment": "stretch",
        "verticalContentAlignment": "stretch"
      },
      "padding": [2, 2, 2, 2],
      "margin": [1, 1, 1, 1],
      "backgroundBrush": "controlBackground",
      "styles": {
        "onSelected": {
          "backgroundBrush": "selectedBackgroundBrush"
        },
        "onDeselected": {
          "backgroundBrush": "controlBackground"
        }
      }
    },
    "listboxitem.gotMouseOver": {
      "font": {
        "bold": true
      },
      "opacity": 1.0
    },
    "listboxitem.lostMouseOver": {
      "font": {
        "bold": false
      },
      "opacity": 0.8
    },
    "listboxitem": {
      "jsonTemplate": "itemview",
      "padding": [1, 5, 1, 5],
      "styles": {
        "gotMouseOver": {
          "jsonTemplate": "listboxitem.gotMouseOver"
        },
        "lostMouseOver": {
          "jsonTemplate": "listboxitem.lostMouseOver"
        }
      }
    },
    "listbox.contentContainer": {
      "jsonTemplate": "scrollviewer",
      "type": "scrollviewer",
      "acceptsMouseFocus": false,
      "contentContainer": {
        "type": "border",
        "horizontalContentAlignment": "stretch",
        "verticalContentAlignment": "stretch"
      }
    },
    "listbox.contentContainerFitWidth": {
      "jsonTemplate": "listbox.contentContainer",
      "horizontalScroll": "fit"
    },
    "listbox.content": {
      "type": "stackpanel",
      "uniform": true,
      "backgroundBrush": "background"
    },
    "listbox": {
      "defaultItemViewTemplate": "listboxitem",
      "acceptsKeyboardFocus": true,
      "borderThickness": 1,
      "borderBrush": "border",
      "contentContainer": {
        "jsonTemplate": "listbox.contentContainer"
      },
      "content": {
        "jsonTemplate": "listbox.content"
      }
    },
    "comboboxselection": {
      "jsonTemplate": "itemview",
      "padding": [2, 2, 2, 2],
      "margin": [1, 1, 1, 1],
      "horizontalAlignment": "left",
      "verticalAlignment": "center",
      "eventHandlers": {}
    },
    "popup.panel": {
      "type": "panel",
      "borderBrush": "border",
      "backgroundBrush": "controlBackground"
    },
    "popup": {
      "type": "popup",
      "strata": 1.1,
      "acceptsMouseFocus": false,
      "backgroundBrush": "controlBackground",
      "contentContainer": {
        "jsonTemplate": "popup.panel"
      }
    },
    "combobox.popup.content": {
      "jsonTemplate": "listbox",
      "type": "listbox",
      "borderThickness": 0
    },
    "combobox.popup": {
      "type": "popup",
      "jsonTemplate": "popup",
      "backgroundBrush": "controlBackground",
      "contentContainer": {
        "jsonTemplate": "popup.panel",
        "type": "anchor",
        "anchorToElement": {
          "elementType": "combobox",
          "elementTree": "logical",
          "flags": "ancestor"
        },
        "clipToParent": false,
        "anchorLocationFactor": [0.0, 1.0]
      },
      "content": {
        "jsonTemplate": "combobox.popup.content"
      }
    },
    "combobox": {
      "type": "combobox",
      "backgroundBrush": "controlBackground",
      "borderBrush": "border",
      "borderRounding": 0.3,
      "padding": [5, 3, 5, 3],
      "acceptsKeyboardFocus": true,
      "minSize": [40, 0],
      "fitContentContainer": false,
      "headerContainer": {
        "type": "border",
        "verticalAlignment": "center"
      },
      "selectedItemViewTemplate": "comboboxselection",
      "popup": {
        "jsonTemplate": "combobox.popup"
      },
      "contentContainer": {
        "type": "panel"
      }
    }
  }
}
